# Configure paths for Sun CSA
# Tom Keiser 2003-03-20, based on freetype2.m4 by Marcelo Magallon

dnl AC_CHECK_SUNCSA([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
dnl Test for Sun CSA, and define CSA_CFLAGS and CSA_LIBS
dnl
AC_DEFUN(AC_CHECK_SUNCSA,[
dnl
dnl Get the cflags and libraries from the freetype-config script
dnl
AC_ARG_ENABLE(calendar-suncsatest,
[  --disable-calendar-suncsatest
                          Do not try to compile and run a test Sun CSA program],
            [], enable_csatest=yes)

dnl
dnl we don't check client version at the moment
dnl
min_suncsa_version=ifelse([$1], ,3,$1)
AC_MSG_CHECKING(for Sun CSA library)
no_suncsa=""
SUNCSA_CFLAGS="-I/usr/dt/include"
SUNCSA_LIBS="-L/usr/dt/lib -lcsa"
if test "x$enable_csatest" = "xyes" ; then
  ac_save_CFLAGS="$CFLAGS"
  ac_save_LIBS="$LIBS"
  CFLAGS="$CFLAGS $SUNCSA_CFLAGS"
  LIBS="$SUNCSA_LIBS $LIBS"
dnl
dnl check whether we can link
dnl
  AC_TRY_LINK([#include <csa/csa.h>],
              [CSA_session_handle handle;
               csa_logoff( handle, 0 );],, 
              no_suncsa=yes)
  CFLAGS="$ac_save_CFLAGS"
  LIBS="$ac_save_LIBS"
fi               # test "x$enable_suncsatest" = "xyes"

if test "x$no_suncsa" = x ; then
  AC_MSG_RESULT(yes)
  ifelse([$2], , :, [$2])
else
  AC_MSG_RESULT(no)
  echo "*** The Sun CSA libraries are either not installed, or are installed"
  echo "*** outside the normal system library path.  Make sure the variable"
  echo "*** LD_LIBRARY_PATH (or whatever is appropiate for your system) is"
  echo "*** correctly set."
  SUNCSA_CFLAGS=""
  SUNCSA_LIBS=""
  ifelse([$3], , :, [$3])
fi

AC_SUBST(SUNCSA_CFLAGS)
AC_SUBST(SUNCSA_LIBS)

])
